> For the complete documentation index, see [llms.txt](https://docs.bless.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bless.net/blessnet-api/addresses-address-permissions.md).

# /addresses/:address/permissions

{% hint style="info" %}
You need an API key for this call.\
\
Please reach out to the Blessnet team to get setup.
{% endhint %}

<mark style="color:green;">`GET`</mark>`/addresses/:address/permissions`

The `/addresses/:address/permissions` endpoint retrieves a list of all current modular permissions for an address, both as a delegate and as a vault.

### **Headers**

| Name        | Value        |
| ----------- | ------------ |
| `x-api-key` | Your API key |

### **Path Variables**

<table><thead><tr><th width="215">Name</th><th width="130">Mandatory?</th><th width="119">Default</th><th>Value</th></tr></thead><tbody><tr><td><code>:address</code></td><td>Yes</td><td></td><td>The ethereal address you are querying</td></tr></tbody></table>

### **Params**

<table><thead><tr><th width="215">Name</th><th width="130">Mandatory?</th><th width="119">Default</th><th>Value</th></tr></thead><tbody><tr><td><code>chain</code></td><td>No</td><td><code>mainnet</code></td><td>The chain type we are working with, either <code>mainnet</code> or <code>sepolia</code></td></tr></tbody></table>

### **Response Body**

| Name         | Type    | Description                                                     |
| ------------ | ------- | --------------------------------------------------------------- |
| `asDelegate` | `array` | An array of delegations where the query address is the delegate |
| `asVault`    | `array` | An array of delegations where the query address is the vault    |

### **Example Request**

<pre><code><strong>GET https://api.bless.net/addresses/0x69c368F76DEB816c9DA037ff562cFA76eA31820e/permissions
</strong></code></pre>

### **Response**

{% tabs %}
{% tab title="200" %}

```json
{
    "asDelegate": [
        {
            "_id": "671ae2dccf1e3ed7134614c8",
            "delegate": "0x69c368F76DEB816c9DA037ff562cFA76eA31820e",
            "vault": "0x66f13e0bd1Cc72FF147Fc3F5ab7baC036edEbae8",
            "source": "MPERM",
            "chain": 45513,
            "logIndex": 0,
            "permissionIds": [
                2,
                3,
                4,
                1092
            ],
            "txnHash": "0x8dbd942eb299f349221cf14864ba2defed2692e059e7af778eb703c0c5b15dc0"
        }
    ],
    "asVault": []
}
```

{% endtab %}

{% tab title="400" %}

```json
{
  "message": "Please provide chainId and delegate address as query parameters."
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.bless.net/blessnet-api/addresses-address-permissions.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
